import request from '@/utils/request'

// 查询年销售目标合并明细列表
export function listAnnualSaleMergeDetails(query) {
  return request({
    url: '/goal_management/annualSaleMergeDetails/list',
    method: 'get',
    params: query
  })
}

// 查询年销售目标合并明细详细
export function getAnnualSaleMergeDetails(id) {
  return request({
    url: '/goal_management/annualSaleMergeDetails/' + id,
    method: 'get'
  })
}

// 新增年销售目标合并明细
export function addAnnualSaleMergeDetails(data) {
  return request({
    url: '/goal_management/annualSaleMergeDetails/addAnnualSaleMergeDetails',
    method: 'post',
    data: data
  })
}

// 修改年销售目标合并明细
export function updateAnnualSaleMergeDetails(data) {
  return request({
    url: '/goal_management/annualSaleMergeDetails',
    method: 'put',
    data: data
  })
}

// 删除年销售目标合并明细
export function delAnnualSaleMergeDetails(id) {
  return request({
    url: '/goal_management/annualSaleMergeDetails/' + id,
    method: 'delete'
  })
}

// 根据目标分类合并，在年度销售目标明细查找
export function mergeAnnualSaleGoalDetails(query) {
  return request({
    url: '/goal_management/annualSaleMergeDetails/mergeAnnualSaleGoalDetails',
    method: 'get',
    params: query
  })
}

export function setGoalMergeCodeIsNotNull() {
  return request({
    url: 'goal_management/annualSaleMergeDetails/setGoalMergeCodeIsNotNull',
    method: 'post'
  })
}
